<?php

namespace App\Service;

use App\Entity\Film;
use Doctrine\ORM\EntityManagerInterface;
use Symfony\Component\Security\Core\Security;

/**
 * Class FilmManager
 */
class FilmManager {
    private $em;
    private $uc;
    private $user;

    public function __construct(EntityManagerInterface $em, UniciteCollections $uc, Security $security)
    {
        $this->em = $em;
        $this->uc = $uc;
        $this->user = $security->getUser();
    }

    public function addFilm (Film $film)
    {
        $film->setAuthered($this->user);
        $film = $this->uc->assureUniciteCollections($film);
        $this->em->persist($film);
        $this->em->flush();
    }

    public function editFilm(Film $film)
    {
        $film = $this->uc->assureUniciteCollections($film);
        $this->em->flush();
    }

    public function delFilm(Film $film)
    {
        /*$commentaire = $this->em->getRepository('App:Commentaire')->findOneBy(array('film'=>$film));
        if ($commentaire != null)
        {
            $this->em->remove($commentaire);
        }*/
        $this->em->remove($film);
        $this->em->flush();
    }
}